Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
OdeLMotorJoint Class Reference
Inheritance diagram for OdeLMotorJoint:

## Public Member Functions
| OdeLMotorJoint (dJointID id)
| OdeLMotorJoint (OdeWorld &world)
| OdeLMotorJoint (OdeWorld &world, OdeJointGroup &joint_group)
virtual TypeHandle | force_init_type ()
LVecBase3f | get_axis (int anum) const
int | get_num_axes () const
dReal | get_param (int parameter) const
virtual TypeHandle | get_type () const
void | set_axis (int anum, int rel, const LVecBase3f &axis)
void | set_axis (int anum, int rel, dReal x, dReal y, dReal z)
void | set_num_axes (int num)
void | set_param (int parameter, dReal value)
Public Member Functions inherited from OdeJoint
| OdeJoint (dJointID id)
void | attach_bodies (const OdeBody &body1, const OdeBody &body2)
| Attaches two OdeBody objects to this joint.
void | attach_body (const OdeBody &body, int index)
| Attaches a single OdeBody to this joint at the specified index (0 or 1).
int | compare_to (const OdeJoint &other) const
OdeAMotorJoint | convert_to_a_motor () const
OdeBallJoint | convert_to_ball () const
OdeContactJoint | convert_to_contact () const
OdeFixedJoint | convert_to_fixed () const
OdeHingeJoint | convert_to_hinge () const
OdeHinge2Joint | convert_to_hinge2 () const
OdeLMotorJoint | convert_to_l_motor () const
OdeNullJoint | convert_to_null () const
OdePlane2dJoint | convert_to_plane2d () const
OdeSliderJoint | convert_to_slider () const
OdeUniversalJoint | convert_to_universal () const
void | destroy ()
void | detach ()
OdeBody | get_body (int index) const
OdeJointFeedback * | get_feedback ()
dJointID | get_id () const
| Returns the underlying dJointID.
int | get_joint_type () const
bool | is_empty () const
| Returns true if the ID is 0, meaning the OdeJoint does not point to a valid joint.
| operator bool () const
bool | operator== (const OdeJoint &other) const
void | set_feedback (bool flag=true)
void | set_feedback (OdeJointFeedback *)
virtual void | write (std::ostream &out=std::cout, unsigned int indent=0) const
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer.
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer.
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type.
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly.
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type.
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from OdeJoint
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96.

## Public Attributes
| get_axis
| get_num_axes
Public Attributes inherited from TypedObject
| get_type

## Friends
class | OdeJoint

## Additional Inherited Members
Public Types inherited from OdeJoint
enum | JointType { JT_none = 0 , JT_ball , JT_hinge , JT_slider , JT_contact , JT_universal , JT_hinge2 , JT_fixed , JT_null , JT_a_motor , JT_l_motor , JT_plane2d }

## Detailed Description

Definition at line 28 of file odeLMotorJoint.h.

## Constructor & Destructor Documentation

## ◆ OdeLMotorJoint() [1/3]

OdeLMotorJoint::OdeLMotorJoint | ( | dJointID | id | ) |

Definition at line 19 of file odeLMotorJoint.cxx.

## ◆ OdeLMotorJoint() [2/3]

OdeLMotorJoint::OdeLMotorJoint | ( | OdeWorld & | world | ) |

Definition at line 24 of file odeLMotorJoint.cxx.

## ◆ OdeLMotorJoint() [3/3]

OdeLMotorJoint::OdeLMotorJoint | ( | OdeWorld & | world,
|  | OdeJointGroup & | joint_group )

Definition at line 29 of file odeLMotorJoint.cxx.

## ◆ ~OdeLMotorJoint()

OdeLMotorJoint::~OdeLMotorJoint | ( |  | ) |
| virtual

Definition at line 34 of file odeLMotorJoint.cxx.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle OdeLMotorJoint::force_init_type | ( |  | ) |
| inline virtual

Reimplemented from OdeJoint.

Definition at line 61 of file odeLMotorJoint.h.

## ◆ get_class_type()

static TypeHandle OdeLMotorJoint::get_class_type | ( |  | ) |
| inline static

Definition at line 50 of file odeLMotorJoint.h.

## ◆ get_param()

dReal OdeLMotorJoint::get_param | ( | int | parameter | ) | const
| inline

Definition at line 46 of file odeLMotorJoint.I.

## ◆ get_type()

virtual TypeHandle OdeLMotorJoint::get_type | ( |  | ) | const
| inline virtual

Reimplemented from OdeJoint.

Definition at line 58 of file odeLMotorJoint.h.

## ◆ init_type()

static void OdeLMotorJoint::init_type | ( |  | ) |
| inline static

Definition at line 53 of file odeLMotorJoint.h.

## ◆ set_axis() [1/2]

void OdeLMotorJoint::set_axis | ( | int | anum,
|  | int | rel,
|  | const LVecBase3f & | axis )
| inline

Definition at line 24 of file odeLMotorJoint.I.

## ◆ set_axis() [2/2]

void OdeLMotorJoint::set_axis | ( | int | anum,
|  | int | rel,
|  | dReal | x,
|  | dReal | y,
|  | dReal | z )
| inline

Definition at line 19 of file odeLMotorJoint.I.

## ◆ set_num_axes()

void OdeLMotorJoint::set_num_axes | ( | int | num | ) |
| inline

Definition at line 14 of file odeLMotorJoint.I.

## ◆ set_param()

void OdeLMotorJoint::set_param | ( | int | parameter,
|  | dReal | value )
| inline

Definition at line 29 of file odeLMotorJoint.I.

## Friends And Related Symbol Documentation

## ◆ OdeJoint

friend class OdeJoint
| friend

Definition at line 29 of file odeLMotorJoint.h.

## Member Data Documentation

## ◆ get_axis

LVecBase3f OdeLMotorJoint::get_axis
| inline

Definition at line 46 of file odeLMotorJoint.h.

## ◆ get_num_axes

int OdeLMotorJoint::get_num_axes
| inline

Definition at line 46 of file odeLMotorJoint.h.

The documentation for this class was generated from the following files:

- panda/src/ode/odeLMotorJoint.h
- panda/src/ode/odeLMotorJoint.cxx
- panda/src/ode/odeLMotorJoint.I